actions: []
api_documentation: http://docs.ros.org/en/melodic/api/staubli_tx90_support/html
authors: Murilo Martins (Ocado Technology)
brief: ''
bugtracker: https://github.com/ros-industrial/staubli_experimental/issues
depends:
- catkin
- joint_state_publisher
- robot_state_publisher
- roslaunch
- rviz
- xacro
depends_on:
- staubli_experimental
- staubli_tx90_gazebo
description: "<p>\n      ROS-Industrial support for the Staubli TX90 (and variants).\n\
  \    </p>\n    <p>\n      This package contains configuration data, 3D models and\
  \ launch files\n      for Staubli TX90 manipulators. This includes the base model,\n\
  \      as well as models with extended arm and forearm links.\n    </p>\n    <p><b>Specifications</b>:</p>\n\
  \    <ul>\n      <li>TX90 - Standard Arm - Nominal Speed</li>\n      <li>TX90L -\
  \ Long Arm - Nominal Speed</li>\n      <li>TX90XL - Extra Long Arm - Nominal Speed</li>\n\
  \    </ul>\n    <p>\n      Joint limits, torque limits, and maximum joint velocities\
  \ are based on the\n      information in the <em>Staubli Robotics - TX series 90\
  \ family -\n      Instruction Manual</em> version <em>D28082904C \u2013 01/12/2014</em>.\n\
  \      All urdfs are based on the default motion and joint velocity limits,\n  \
  \    unless noted otherwise (ie: no support for high speed joints, extended /\n\
  \      limited motion ranges or other options).\n    </p>\n    <p>\n      Before\
  \ using any of the configuration files and / or meshes included\n      in this package,\
  \ be sure to check they are correct for the particular\n      robot model and configuration\
  \ you intend to use them with.\n    </p>\n    <p>\n      <b>NB (1)</b>: Masses,\
  \ center of mass and moments of inertia were calculated\n      using Solidworks\
  \ and the official Staubli CAD models, and may not be\n      accurate.\n    </p>\n\
  \    <p>\n      <b>NB (2)</b>: In order to allow maximum torque on axis 6, effort\
  \ limit on\n      axis 5 was set to 29 Nm, rather than a feasible 58 Nm if torque\
  \ on\n      axis 6 = 0 Nm (see superscripts (1) and (2) from table in Section 2.6.2\n\
  \      -Torque Limits- of the instruction manual for details).\n    </p>\n    <p><b>Contributors</b>:</p>\n\
  \    <p>\n      This support package has received contributions from: Panagiotis\
  \ \n      Sotiropoulos (Ocado Technology) (TX90/TX90L/TX90XL).\n    </p>"
doc_job: https://build.ros.org/view/Mdoc/job/Mdoc__staubli_experimental__ubuntu_bionic_amd64
license: Apache2.0
maintainer_status: maintained
maintainers: G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>
metapackages:
- staubli_experimental
msgs: []
package_type: package
repo_name: staubli_experimental
repo_url: https://github.com/ros-industrial/staubli_experimental
srvs: []
timestamp: 1646120825.1701763
url: http://ros.org/wiki/staubli_tx90_support
vcs: git
vcs_uri: https://github.com/ros-industrial/staubli_experimental.git
vcs_version: kinetic-devel
